请选择 进入手机版 | 继续访问电脑版
 找回密码
 立即注册

潘世泽

民兵

  • 积分

  • 帖子

  • 精华

在安装zabbix时遇到的报错,之前也遇过类似的报错,不知道怎么解决,懂得童鞋来解答一下,谢谢
---------------------------------------------------------------------------------------------------------------------------
已加载插件:fastestmirror
Loading mirror speeds from cached hostfile
* base: mirrors.163.com
* epel: mirrors.ustc.edu.cn
* extras: mirrors.163.com
* updates: mirrors.zju.edu.cn
正在解决依赖关系
--> 正在检查事务
---> 软件包 zabbix-server-mysql.x86_64.0.2.4.8-1.el6 将被 安装
--> 正在处理依赖关系 zabbix-server = 2.4.8-1.el6,它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在处理依赖关系 libmysqlclient.so.16(libmysqlclient_16)(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在处理依赖关系 libiksemel.so.3()(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在处理依赖关系 libmysqlclient.so.16()(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在处理依赖关系 libnetsnmp.so.20()(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在处理依赖关系 libOpenIPMIposix.so.0()(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在处理依赖关系 libodbc.so.2()(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在处理依赖关系 libOpenIPMI.so.0()(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在检查事务
---> 软件包 OpenIPMI-libs.x86_64.0.2.0.19-15.el7 将被 安装
--> 正在处理依赖关系 OpenIPMI-modalias = 2.0.19-15.el7,它被软件包 OpenIPMI-libs-2.0.19-15.el7.x86_64 需要
---> 软件包 iksemel.x86_64.0.1.4-6.el7 将被 安装
---> 软件包 unixODBC.x86_64.0.2.3.1-11.el7 将被 安装
--> 正在处理依赖关系 libltdl.so.7()(64bit),它被软件包 unixODBC-2.3.1-11.el7.x86_64 需要
---> 软件包 zabbix-server.x86_64.0.2.4.8-1.el6 将被 安装
--> 正在处理依赖关系 zabbix,它被软件包 zabbix-server-2.4.8-1.el6.x86_64 需要
--> 正在处理依赖关系 net-snmp,它被软件包 zabbix-server-2.4.8-1.el6.x86_64 需要
--> 正在处理依赖关系 fping,它被软件包 zabbix-server-2.4.8-1.el6.x86_64 需要
---> 软件包 zabbix-server-mysql.x86_64.0.2.4.8-1.el6 将被 安装
--> 正在处理依赖关系 libmysqlclient.so.16(libmysqlclient_16)(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在处理依赖关系 libmysqlclient.so.16()(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在处理依赖关系 libnetsnmp.so.20()(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在检查事务
---> 软件包 OpenIPMI-modalias.x86_64.0.2.0.19-15.el7 将被 安装
---> 软件包 fping.x86_64.0.3.10-4.el7 将被 安装
---> 软件包 libtool-ltdl.x86_64.0.2.4.2-22.el7_3 将被 安装
---> 软件包 net-snmp.x86_64.1.5.7.2-24.el7_3.2 将被 安装
--> 正在处理依赖关系 net-snmp-libs = 1:5.7.2-24.el7_3.2,它被软件包 1:net-snmp-5.7.2-24.el7_3.2.x86_64 需要
--> 正在处理依赖关系 net-snmp-agent-libs = 1:5.7.2-24.el7_3.2,它被软件包 1:net-snmp-5.7.2-24.el7_3.2.x86_64 需要
--> 正在处理依赖关系 libsensors.so.4()(64bit),它被软件包 1:net-snmp-5.7.2-24.el7_3.2.x86_64 需要
--> 正在处理依赖关系 libnetsnmptrapd.so.31()(64bit),它被软件包 1:net-snmp-5.7.2-24.el7_3.2.x86_64 需要
--> 正在处理依赖关系 libnetsnmpmibs.so.31()(64bit),它被软件包 1:net-snmp-5.7.2-24.el7_3.2.x86_64 需要
--> 正在处理依赖关系 libnetsnmpagent.so.31()(64bit),它被软件包 1:net-snmp-5.7.2-24.el7_3.2.x86_64 需要
--> 正在处理依赖关系 libnetsnmp.so.31()(64bit),它被软件包 1:net-snmp-5.7.2-24.el7_3.2.x86_64 需要
---> 软件包 zabbix.x86_64.0.2.4.8-1.el6 将被 安装
---> 软件包 zabbix-server-mysql.x86_64.0.2.4.8-1.el6 将被 安装
--> 正在处理依赖关系 libmysqlclient.so.16(libmysqlclient_16)(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在处理依赖关系 libmysqlclient.so.16()(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在处理依赖关系 libnetsnmp.so.20()(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在检查事务
---> 软件包 lm_sensors-libs.x86_64.0.3.4.0-4.20160601gitf9185e5.el7 将被 安装
---> 软件包 net-snmp-agent-libs.x86_64.1.5.7.2-24.el7_3.2 将被 安装
---> 软件包 net-snmp-libs.x86_64.1.5.7.2-24.el7_3.2 将被 安装
---> 软件包 zabbix-server-mysql.x86_64.0.2.4.8-1.el6 将被 安装
--> 正在处理依赖关系 libmysqlclient.so.16(libmysqlclient_16)(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在处理依赖关系 libmysqlclient.so.16()(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 正在处理依赖关系 libnetsnmp.so.20()(64bit),它被软件包 zabbix-server-mysql-2.4.8-1.el6.x86_64 需要
--> 解决依赖关系完成
错误:软件包:zabbix-server-mysql-2.4.8-1.el6.x86_64 (zabbix)
          需要:libmysqlclient.so.16()(64bit)
错误:软件包:zabbix-server-mysql-2.4.8-1.el6.x86_64 (zabbix)
          需要:libnetsnmp.so.20()(64bit)
错误:软件包:zabbix-server-mysql-2.4.8-1.el6.x86_64 (zabbix)
          需要:libmysqlclient.so.16(libmysqlclient_16)(64bit)
您可以尝试添加 --skip-broken 选项来解决该问题
您可以尝试执行:rpm -Va --nofiles --nodigest
收藏

0 个回复

您需要登录后才可以回帖 登录 | 立即注册